/* eslint-env browser */
import React from 'react';
import RD from 'react-dom';
// const GhostPlayer = require('../dist/ghostplayer').GhostPlayer;
import {GhostPlayer} from '../src/GhostPlayer';

/**
 * gets the value of a url parameter
 * @param name {String} parameter to get
 * @param url {String} url string
 * @return {String}
 */
function getParameterByName(name, url) {
    if (!url) {
      url = window.location.href;
    }

    name = name.replace(/[\[\]]/g, '\\$&');
    var regex = new RegExp('[?&]' + name + '(=([^&#]*)|&|#|$)'),
        results = regex.exec(url);
    if (!results) return null;
    if (!results[2]) return '';
    return decodeURIComponent(results[2].replace(/\+/g, ' '));
}

// determine if browser is mobile
var isMobile = false;

if(/Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent)) {
  isMobile = true;
}

// get id from url parameters
let id = getParameterByName('id', window.location.href) || '362';

// options for ghost player
let options = {
  width: 400,
  height: 711,
  autoplay: false,
  controls: false,
};

if (isMobile) {
  options.width = window.innerWidth;
  options.height = window.innerHeight;
}

RD.render(
  <GhostPlayer options={options} post={id} />,
  document.getElementById('root')
);