require('webpack');
var webpackConfig = require('./examples/webpack.config.js');
webpackConfig.entry = {};

module.exports = function(config) {
  config.set({

    // base path that will be used to resolve all patterns (eg. files, exclude)
    basePath: './',

    // frameworks to use
    // available frameworks: https://npmjs.org/browse/keyword/karma-adapter
    frameworks: ['jasmine'],

    // list of files / patterns to load in the browser
    files: [
      // 'http://localhost:8080/assets/bundle.js',
      // '/assets/bundle.js',
      'examples/root.js',
      'test/**/*.spec.js', 
    ],

    // list of files to exclude
    exclude: [

    ],

    // test results reporter to use
    // possible values: 'dots', 'progress'
    // available reporters: https://npmjs.org/browse/keyword/karma-reporter
    reporters: ['progress'],

    // web server port
    port: 9876,

    // enable / disable colors in the output (reporters and logs)
    colors: true,

    // level of logging
    // possible values: config.LOG_DISABLE || config.LOG_ERROR || config.LOG_WARN || config.LOG_INFO || config.LOG_DEBUG
    logLevel: config.LOG_INFO,

    // enable / disable watching file and executing tests whenever any file changes
    autoWatch: true,

    // start these browsers
    // available browser launchers: https://npmjs.org/browse/keyword/karma-launcher
    // browsers: ['Chrome', 'Firefox', 'Safari'],
    browsers: [
      // 'Chrome',
      'PhantomJS',
    ],

    // Continuous Integration mode
    // if true, Karma captures browsers, runs the tests and exits
    singleRun: false,

    // pass the webpack configuration
    webpack: webpackConfig,

    // middleware for webpack
    webpackMiddleware: {
      noInfo: true
    },

    // scripts to process files before serving
    preprocessors: {
      'examples/root.js': ['webpack'],
      'test/**/*.spec.js': ['babel'],
    },

    // plugins
    plugins: [
      require('karma-babel-preprocessor'),
      require('karma-webpack'),
      require('karma-jasmine'),
      require('karma-chrome-launcher'),
      require('karma-phantomjs-launcher'),
    ],
  });
};