/* ==========================================================================
// internal variables, dependencies, etc
========================================================================== */

// ...

/* ==========================================================================
// classes
========================================================================== */

class Cache {

  constructor(json = {}) {

  }

  get(key) {
    let nameEQ = key + '=';
    let ca = document.cookie.split(';');
    for (var i = 0; i < ca.length; i++) {
        var c = ca[i];
        while (c.charAt(0)==' ') {
          c = c.substring(1,c.length);
        }

        if (c.indexOf(nameEQ) == 0) {
          return c.substring(nameEQ.length, c.length);
        }
    }

    return undefined;
  }

  set(key, value, expirationInDays) {
    /*
    // PATCH: 2016.09.09 - don't set cookie for testing purposes
    return;
    // END PATCH
    */

    var expires;
    if (expirationInDays) {
        var date = new Date();
        date.setTime(date.getTime() + (expirationInDays * 24 * 60 * 60 * 1000));
        expires = '; expires=' + date.toGMTString();
    } else {
        expires = '';
    }

    document.cookie = key + '=' + value + expires + '; path=/';
  }

  remove(key) {
    this.set(key, '', -1);
  }
};

/* ==========================================================================
// exports
========================================================================== */

let singleton = new Cache();
export { singleton as Cache };