/* ==========================================================================
// internal variables, dependencies, etc
========================================================================== */

// ...

/* ==========================================================================
// classes
========================================================================== */

class File {

  constructor(json = {}) {
    if (json.original) {
      this.original = json.original;
    }

    if (json.transcoded) {
      this.transcoded = json.transcoded;
    }

    if (json.fullhd) {
      this.fullhd = json.fullhd;
    }

    if (json.hd) {
      this.hd = json.hd;
    }

    if (json.hls) {
      this.hls = json.hls;
    }
  }

  get url() {
    /*
    // PATCH: 2016.09.10 - return original
    return this.original;
    // END PATCH
    */

   if (this.type === 'video') {
    return this._getVideoURL();
   } else {
    return this._getAudioURL();
   }
  }

  _getVideoURL() {
    if (this.hls) {
      return this.hls;
    } else if (this.fullhd) {
      return this.fullhd;
    } else if (this.hd) {
      return this.hd;
    } else if (this.transcoded) {
      return this.transcoded;
    } else if (this.original) {
      return this.original;
    } else {
      return null;
    }
  }

  _getAudioURL() {
    if (this.transcoded) {
      return this.transcoded;
    } else if (this.fullhd) {
      return this.fullhd;
    } else if (this.hd) {
      return this.hd;
    } else if (this.hls) {
      return this.hls;
    } else if (this.original) {
      return this.original;
    } else {
      return null;
    }
  }
};

/* ==========================================================================
// exports
========================================================================== */

export { File as File };