/* ==========================================================================
// internal variables, dependencies, etc
========================================================================== */

// ...

/* ==========================================================================
// classes
========================================================================== */

class _Image {
  constructor(json = {}) {
    // set default properties
    this.url = null;
    this.width = 0;
    this.height = 0;
    this.size = 0;
    this.format = 'png';

    // check json for keys to set values
    if (json.url) {
        this.url = json.url;
    } else if (typeof json === 'string') {
        this.url = json;
    }

    if (json.width) { this.width = json.width; }
    if (json.height) { this.height = json.height; }
    if (json.size) { this.size = json.size; }
    if (json.format) { this.format = json.format; }
  }
}

class Image {

  constructor(json = {}) {
    // set default properties
    this['360'] = null;
    this['640'] = null;
    this['750'] = null;
    this['828'] = null;
    this.original = null;

    // check json for keys to set values
    if (json['360']) { this['360'] = new _Image(json['360']); }
    if (json['640']) { this['640'] = new _Image(json['640']); }
    if (json['750']) { this['750'] = new _Image(json['750']); }
    if (json['828']) { this['828'] = new _Image(json['828']); }
    if (json.original) { this.original = new _Image(json.original); }
  }

  get largest() {
    if (this['828']) {
        return this['828'].url;
    } else if (this['750']) {
        return this['750'].url;
    } else if (this['640']) {
        return this['640'].url;
    } else if (this['360']) {
        return this['360'].url;
    } else if (this.original) {
        return this.original.url;
    }
  }

  get smallest() {
    if (this['360']) {
        return this['360'].url;
    } else if (this['640']) {
        return this['640'].url;
    } else if (this['750']) {
        return this['750'].url;
    } else if (this['828']) {
        return this['828'].url;
    } else if (this.original) {
        return this.original.url;
    }
  }
};

/* ==========================================================================
// exports
========================================================================== */

export { Image as Image };