/* ==========================================================================
// internal variables, dependencies, etc
========================================================================== */

import {Image} from './Image';

/* ==========================================================================
// classes
========================================================================== */

class User {

  constructor(json = {}) {
    // set default properties
    this.id = '';
    this.createdAt = new Date();
    this.updatedAt = new Date();
    this.name = '';
    this.username = '';
    this.bio = '';
    this.images = null;

    if (json.id) {
        this.id = json.id;
    }

    if (json.createdAt) {
        this.createdAt = new Date(json.createdAt);
    }

    if (json.updatedAt) {
        this.updatedAt = new Date(json.updatedAt);
    }

    if (json.username) {
        this.username = json.username;
    }

    if (json.profile && json.profile.name) {
        this.name = json.profile.name;
    }

    if (json.profile && json.profile.bio) {
        this.bio = json.profile.bio;
    }

    if (json.profile && json.profile.images) {
        this.images = new Image(json.profile.images);
    }
  }
};

/* ==========================================================================
// exports
========================================================================== */

export { User as User };