/* eslint-env node */
/* eslint-global env */
const path = require('path');
const webpack = require('webpack');

module.exports = {
  // devtool: 'cheap-inline-module-source-map',
  devtool: 'eval',

  entry: path.join(__dirname, '/src/index.js'),

  output: {
    path: path.join(__dirname, '/dist'),
    publicPath: '/assets/',
    filename: 'ghostplayer.js',
    // library: 'GhostPlayer',
    libraryTarget: 'umd',
  },

  /*
  */
  externals: [{
    'react': {
      root: 'React',
      commonjs2: 'react',
      commonjs: 'react',
      amd: 'react'
    }
  }, {
    'react-dom': {
      root: 'ReactDOM',
      commonjs2: 'react-dom',
      commonjs: 'react-dom',
      amd: 'react-dom'
    }
  }],

  resolve: {
    alias: {
      Component: path.join(__dirname, '/src')
    },
    extensions: ['', '.js']
  },

  /*
  */
  plugins: [
    // new webpack.HotModuleReplacementPlugin(),
    // new webpack.optimize.UglifyJSPlugin({
    //   minimize: true,
    // })
    /*
    new webpack.DefinePlugin({
      'process.env': {
        'NODE_ENV': JSON.stringify('production')
      }
    }),
    */
    /*
    new webpack.optimize.CommonsChunkPlugin('common.js'),
    new webpack.optimize.DedupePlugin(),
    new webpack.optimize.UglifyJsPlugin(),
    new webpack.optimize.AggressiveMergingPlugin(),
    */
  ],

  /*
  devServer: {
    contentBase: __dirname,
  },
  */

  module: {
    loaders: [{
      test: /\.js$/,
      loader: 'babel-loader',
      // exclude: /node_modules/,
      include: [
        path.join(__dirname, '/src')
      ],
    }, {
      test: /\.css$/,
      loader: 'style-loader!css-loader'
    }]
  }
};